<!-- #include file=inc/BBSsetup.jsp -->
<!-- #include file=inc/Board_Popfun.jsp -->
<%siteHead("   ")%>
<META http-equiv=Content-Type content="text/html; charset=gb2312">
<STYLE type=text/css>TD {
	FONT-SIZE: 12px}

.line {
	PADDING-LEFT: 10px; FONT-SIZE: 12px; LINE-HEIGHT: 12pt
}
.top {
	FONT-SIZE: 12px}
</STYLE>
<SCRIPT language=JavaScript>
var img1 = new Image();img1.src = "images/<%=GBL_DefineImage%>frame/plus.gif";
var img2 = new Image(); img2.src = "images/<%=GBL_DefineImage%>frame/minus.gif";
function doOutline()
{
var srcId, srcElement, targetElement,srcNum,toggleElement,toggleImage;
srcElement = window.event.srcElement;
if(srcElement.className.toUpperCase()=="LEVEL1")
{
        srcID=srcElement.id.substr(0, srcElement.id.length-1);
        targetElement=document.all(srcID + "s");
        srcElement=document.all(srcID + "i");
        srcNum=srcElement.id.substr( 3, 1);
        if(targetElement.style.display == "none")
        {
                for(i=0; i<10; i++){if(srcNum == i)
                {
                        targetElement.style.display = "";
                        if (srcElement.className == "LEVEL1") srcElement.src = img2.src;
                }
        else{
                        toggleElement = document.all("out" + i + "s");

                        toggleImage = document.all("out" + i + "i");

                }
        }
}
else
{
                targetElement.style.display = "none";
                if (srcElement.className == "LEVEL1") srcElement.src = img1.src;
}
}
}
document.onclick = doOutline;</SCRIPT>
<SCRIPT language=JavaScript>
<!--
function loader(file1,file2)
  {
  parent.r_top.location.href = file1
  parent.r_down.location.href = file2
  }
//-->
</SCRIPT>
</body>
<BODY bgcolor="eeeeee" leftMargin=0 topMargin=0 marginwidth="0" marginheight="0" class=TBframeBG>
<table width=150 height=100% color=bgcolor=eeeeee class=TBframeBG height=12 border=0 cellspacing=0 cellpadding=0>
<tr><td width=150 valign=top align=center>
	<br><img src=images/blank.gif height=5 width=2><br>
	<TABLE width="90%" border=0 align="center" cellPadding=0 cellSpacing=0>
	<TBODY>
	<TR vAlign=top>
		<TD valign="top">
			<DIV class=chn id=OUT0s style="DISPLAY: none">
			</DIV>
			<%DisplayBoardList%>
        </TD></TR></TBODY></TABLE>
</td></tr></table>
</BODY></HTML>


<%
Function DisplayBoardList

	OpenDatabase
	Dim Rs,GetData,BoardNum
	Set Rs = Server.CreateObject("ADODB.RecordSet")
	Rs.Open "Select BoardID,BoardAssort,BoardName,LeadBBS_Assort.AssortName from LeadBBS_Boards inner join LeadBBS_Assort on LeadBBS_Assort.AssortID=LeadBBS_Boards.BoardAssort where LeadBBS_Boards.HiddenFlag = 0 order by LeadBBS_Assort.AssortID,LeadBBS_Boards.OrderID ASC",con,1,1
	GBL_DBNum = GBL_DBNum + 1
	If Not Rs.Eof Then
		GetData = Rs.GetRows(-1)
		BoardNum = Ubound(GetData,2)
	Else
		BoardNum = -1
	End If
	Rs.Close
	Set Rs = Nothing

	If BoardNum = -1 Then
	Else
		Dim CurrentAssosrt,N
		CurrentAssosrt = -1183
		Dim LastAssosrt,WriteStr
		LastAssosrt = cCur(GetData(1,BoardNum))
		Dim LastFlag
		For N = 0 to BoardNum
			If CurrentAssosrt<>cCur(GetData(1,N)) Then
				CurrentAssosrt = cCur(GetData(1,N))
				If LastAssosrt = CurrentAssosrt Then
					Response.Write "</DIV>"
				Else
					Response.Write "</DIV>"
				End If
				%>
			<A class=Level1 id=OUT<%=N+1%>t style="CURSOR: hand"><IMG class=LEVEL1 id=OUT<%=N+1%>i height=9 src="images/<%=GBL_DefineImage%>frame/plus.gif" width=9 border=0></A>
				<a href=index.jsp?Assort=<%=GetData(1,N)%> target="r_top"><%=WriteStr & GetData(3,N)%></a>
			<BR>
			<DIV class=chn id=OUT<%=N+1%>s style="DISPLAY: none"><%
				'Response.Write "		<option value=0 style=background-color:" & DEF_BBS_LightColor & ">" & WriteStr & GetData(15,N) & "" & VbCrLf
			End If
			
			'Response.Write "		<option value=" & GetData(0,N) & " style=background-color:" & DEF_BBS_LightestColor & ">" & WriteStr & GetData(2,N) & "" & VbCrLf
			%>
          &nbsp;&nbsp; <img src=images/<%=GBL_DefineImage%>frame/hot.gif width=14 height=14><A href="b/?<%=GetData(0,N)%>.html" target="r_top"><%=WriteStr & GetData(2,N)%></A><BR>
          	<%
		Next
		Response.Write "</DIV>"
	End If
	CloseDatabase

End Function%>
